@charset "UTF-8";
@view-transition {
  navigation: auto;
}

* {
  box-sizing: border-box;
}

html {
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  backface-visibility: hidden;
}

html,
body {
  width: 100svw;
  height: 100svh;
  margin: 0;
  padding: 0;
  font-family: "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "メイリオ",
    sans-serif;
  font-weight: 500;
  line-height: 1.6;
  overflow-x: hidden;
}

.splash {
  position: absolute;
  top: 0;
  left: 0;
  width: 100svw;
  height: 100svh;
  overflow: hidden;
  background-color: white;
  z-index: 20;
  opacity: 1;
  backface-visibility: hidden;
  will-change: opacity;
  transition: all 1.2s ease-in;
  &.fdout {
    opacity: 0;
  }
}

.none {
  display: none;
}

.mainmess {
  width: 100%;
  height: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.splitettl {
  font-family: "游明朝", YuMincho, "Hiragino Mincho ProN W3",
    "ヒラギノ明朝 ProN W3", "Hiragino Mincho ProN", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: clamp(24px, 4vw, 36px);
  color: transparent;
  z-index: 2;
  animation: splitetext 12s linear forwards;
}

.notemv {
  width: 100%;
  height: 30%;
  max-height: 50%;
  position: relative;
  animation: scoremv 12s linear forwards;
  video, canvas {
    width: 100%;
    height: 100%;
    object-fit: scale-down;
  }
}

@media screen and (max-width: 991px) {
  .nav-dropdown-list.shadow-three.w--open {
    position: absolute;
  }
}
@media screen and (max-width: 767px) {
  .nav-dropdown-list.shadow-three {
    box-shadow: 0 8px 50px #0000000d;
  }

  .nav-dropdown-list.shadow-three.w--open {
    position: relative;
  }
  .nav-dropdown-list.shadow-three.mobile-shadow-hide {
    box-shadow: none;
  }
}

::view-transition-group(root) {
  animation-duration: 1.5s;
}

::view-transition-old(root) {
  animation: 1s 1s ease-in both fadout;
}
::view-transition-new(root) {
  animation: 1s 1s ease-in both fadein;
}

@keyframes splitetext {
  0% {
    text-shadow: 0 0 20px rgba(0, 0, 0, 0);
  }
  15% {
    text-shadow: 0 0 0 rgba(0, 0, 0, 1);
  }
  95% {
    text-shadow: 0 0 0 rgba(0, 0, 0, 1);
  }
  100% {
    text-shadow: 0 0 20px rgba(0, 0, 0, 0);
  }
}

@keyframes scoremv {
  0% {
    opacity: 1;
  }
  95% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@keyframes fadeout {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
  }
}

@keyframes fadein {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}
